Package org.opensaml.saml.common.messaging.context

# Class SAMLPresenterEntityContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.AbstractSAMLEntityContext
org.opensaml.saml.common.messaging.context.AbstractAuthenticatableSAMLEntityContext
org.opensaml.saml.common.messaging.context.SAMLPresenterEntityContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

@Deprecated(forRemoval=true, since="5.0.0") public final class SAMLPresenterEntityContext extends AbstractAuthenticatableSAMLEntityContext
Deprecated, for removal: This API element is subject to removal in a future version.
Subcontext that carries information about the SAML "presenter" entity, as defined in SAML Core, section 3.4.

This context will often contain subcontexts, whose data is construed to be scoped to that presenter entity.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Constructor Summary

Constructors
Constructor
Description
`SAMLPresenterEntityContext()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Summary

### Methods inherited from class org.opensaml.saml.common.messaging.context.AbstractAuthenticatableSAMLEntityContext

`isAuthenticated, setAuthenticated`

### Methods inherited from class org.opensaml.saml.common.messaging.context.AbstractSAMLEntityContext

`getEntityId, getRole, setEntityId, setRole`

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### SAMLPresenterEntityContext

public SAMLPresenterEntityContext()
Deprecated, for removal: This API element is subject to removal in a future version.